VSTGUI: MouseEventButtonState Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MouseEventButtonState Struct Reference
New classes » Version 4.11

MouseEventButtonState. More...

`#include <events.h>`

## Public Member Functions
bool | isLeft () const
bool | isMiddle () const
bool | isRight () const
bool | is (MouseButton pos) const
bool | isOther (uint32_t index) const
bool | has (MouseButton pos) const
bool | empty () const
void | add (MouseButton pos)
void | set (MouseButton pos)
void | clear ()
| MouseEventButtonState ()=default
| MouseEventButtonState (const MouseEventButtonState &)=default
| MouseEventButtonState (MouseButton pos)
MouseEventButtonState & | operator= (const MouseEventButtonState &)=default
bool | operator== (const MouseEventButtonState &other) const
bool | operator!= (const MouseEventButtonState &other) const

## Detailed Description

MouseEventButtonState.

## Constructor & Destructor Documentation

## ◆ MouseEventButtonState() [1/3]

MouseEventButtonState | ( |  | ) |
| default

## ◆ MouseEventButtonState() [2/3]

MouseEventButtonState | ( | const MouseEventButtonState & |  | ) |
| default

## ◆ MouseEventButtonState() [3/3]

MouseEventButtonState | ( | MouseButton | pos | ) |
| inline

## Member Function Documentation

## ◆ add()

void add | ( | MouseButton | pos | ) |
| inline

## ◆ clear()

void clear | ( |  | ) |
| inline

## ◆ empty()

bool empty | ( |  | ) | const
| inlinenodiscard

## ◆ has()

bool has | ( | MouseButton | pos | ) | const
| inlinenodiscard

## ◆ is()

bool is | ( | MouseButton | pos | ) | const
| inlinenodiscard

## ◆ isLeft()

bool isLeft | ( |  | ) | const
| inlinenodiscard

## ◆ isMiddle()

bool isMiddle | ( |  | ) | const
| inlinenodiscard

## ◆ isOther()

bool isOther | ( | uint32_t | index | ) | const
| inlinenodiscard

## ◆ isRight()

bool isRight | ( |  | ) | const
| inlinenodiscard

## ◆ operator!=()

bool operator!= | ( | const MouseEventButtonState & | other | ) | const
| inlinenodiscard

## ◆ operator=()

MouseEventButtonState & operator= | ( | const MouseEventButtonState & |  | ) |
| default

## ◆ operator==()

bool operator== | ( | const MouseEventButtonState & | other | ) | const
| inlinenodiscard

## ◆ set()

void set | ( | MouseButton | pos | ) |
| inline

The documentation for this struct was generated from the following file:

- events.h